Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_strerror_r()

## Synopsis

    char *
    bson_strerror_r (int err_code, char *buf, size_t buflen);

## Parameters

- `err_code`: An errno.

- `buf`: A location to store the string.

- `buflen`: The size of `buf`.

## Description

This is a portability wrapper around `strerror()`.

## Returns

The passed in `buf` parameter or an internal string.